Subject: Re: bug#59208: 29.0.50; tab-bar-auto-width plus display space cpu spin

From: Aaron Jensen <[email-masked]>
Date: Mon, 14 Nov 2022 13:11:28 -0500

On Mon, Nov 14, 2022 at 12:38 PM Juri Linkov <[email-masked]> wrote:
>
> >> > As an aside, auto-width doesn't work very well when using a
> >> > variable-pitch font for your tab bar. Specifically, for me it doesn't
> >> > take up the full width when I have enough tabs that would fill that
> >> > width.
> >>
> >> Sorry, I don't understand the problem.  It doesn't take up the full width
> >> of the tab bar?  Does it fill the whole tab bar when you customize
> >> tab-bar-auto-width-max to nil?
> >
> > No, it does not. It's not computing the overall width of the window
> > correctly or something like that: https://share.cleanshot.com/otuZj4
>
> Could you show the minimal tab function that reproduces the problem.
> Is it more like this?
>
> (defun aj/tab-bar-tab-name-format (tab i)
>   (propertize
>    (concat (alist-get 'name tab)
>            (propertize " " 'display '(space :width (8))))
>    'face (funcall tab-bar-tab-face-function tab)))
>
> (setq tab-bar-tab-name-format-function #'aj/tab-bar-tab-name-format)

It happens with the default. The issue is the variable pitch font.